package com.qizhen.spider.ai;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Knowlege {
    @ExcelProperty("实体")
    private String entity;
    @ExcelProperty("属性")
    private String property;
    @ExcelProperty("属性值")
    private String value;
    @ExcelProperty("原文")
    private String text;
    @ExcelProperty("icd10")
    private String icd10;

    public static void main(String[] args) {
        String t = "```json\n" +
                "[\n" +
                "  {\n" +
                "\t\"name\": \"沙丁胺醇\",\n" +
                "\t\"description\": \"短效β2受体激动剂\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"特布他林\",\n" +
                "\t\"description\": \"短效β2受体激动剂\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"布地奈德\",\n" +
                "\t\"description\": \"吸入型糖皮质激素\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"异丙托溴铵\",\n" +
                "\t\"description\": \"抗胆碱药\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"福莫特罗\",\n" +
                "\t\"description\": \"长效β2受体激动剂\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"茚达特罗\",\n" +
                "\t\"description\": \"长效β2受体激动剂\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"噻托溴铵\",\n" +
                "\t\"description\": \"抗胆碱药\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"泼尼松龙\",\n" +
                "\t\"description\": \"全身性糖皮质激素\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"孟鲁司特\",\n" +
                "\t\"description\": \"白三烯调节剂\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"抗IgE抗体\",\n" +
                "\t\"description\": \"生物制剂\"\n" +
                "  },\n" +
                "  {\n" +
                "\t\"name\": \"抗IL-5抗体\",\n" +
                "\t\"description\": \"生物制剂\"\n" +
                "  }\n" +
                "]\n" +
                "```";
        if(t.startsWith("```json")){
            t = t.substring(7);
        }
        if(t.endsWith("```")){
            t = t.substring(0,t.length()-3);
        }
        System.out.println(t);
    }
}
